commit:     e40016fba2a663e3a046bb86d0dd6f1bbfb0d87e
Author:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 25 10:27:29 2025 +0000
Commit:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Wed Jun 25 10:37:53 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e40016fb

virtual/perl-libnet: add 5.42 as provider

Signed-off-by: Andreas K. Hüttel <dilfridge <AT> gentoo.org>

 .../{perl-libnet-3.150.0-r1.ebuild => perl-libnet-3.150.0-r2.ebuild}  | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/virtual/perl-libnet/perl-libnet-3.150.0-r1.ebuild 
b/virtual/perl-libnet/perl-libnet-3.150.0-r2.ebuild
similarity index 77%
rename from virtual/perl-libnet/perl-libnet-3.150.0-r1.ebuild
rename to virtual/perl-libnet/perl-libnet-3.150.0-r2.ebuild
index 9c1e5ca74da1..731aac0807a5 100644
--- a/virtual/perl-libnet/perl-libnet-3.150.0-r1.ebuild
+++ b/virtual/perl-libnet/perl-libnet-3.150.0-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -9,7 +9,7 @@ KEYWORDS="~alpha amd64 arm arm64 hppa ~loong ~m68k ~mips ppc 
ppc64 ~riscv ~s390
 IUSE="+ssl"
 
 RDEPEND="
-       || ( =dev-lang/perl-5.40* =dev-lang/perl-5.38* 
~perl-core/${PN#perl-}-${PV} )
+       || ( =dev-lang/perl-5.42* =dev-lang/perl-5.40* =dev-lang/perl-5.38* 
~perl-core/${PN#perl-}-${PV} )
        dev-lang/perl:=
        !<perl-core/${PN#perl-}-${PV}
        !>perl-core/${PN#perl-}-${PV}-r999

Reply via email to